class C {
    C(int j) {
	super();
	f = j;
    }
    int f;
    C foo;
    void bar() { }

    static public void main(String[] args) {
	int i = 9;
	C a, b;
	if (true || false) {
	    a = new C(i);
	    b = new C(i);
	}
	else {
	    a = null;
	    b = new C(i);
	}

	a.bar(); // a may be null
	b.bar(); // b cannot be null
    }

}
